import { OnInit, OnChanges, SimpleChanges } from '@angular/core';
import { Chart } from 'chart.js';
import { AirlineSentimentService } from '../airline-sentiment-display/airline-sentiment.service';
import { MatDialog } from '@angular/material/dialog';
import * as i0 from "@angular/core";
export declare class ChartJsDisplayComponent implements OnInit, OnChanges {
    private sentimentService;
    private dialog;
    chartId: string;
    chart: Chart | undefined;
    chartConfig: any;
    enableModifyChartButton: boolean;
    constructor(sentimentService: AirlineSentimentService, dialog: MatDialog);
    ngOnInit(): void;
    ngOnChanges(changes: SimpleChanges): void;
    openModifyChartDialog(): void;
    loadChart(): void;
    createChart(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<ChartJsDisplayComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<ChartJsDisplayComponent, "sentiment-component-chartjs", never, { "chartId": { "alias": "chartId"; "required": false; }; }, {}, never, never, false, never>;
}
