import { OnInit } from '@angular/core';
import { MatDialogRef } from '@angular/material/dialog';
import { FormBuilder, FormGroup } from '@angular/forms';
import { AirlineSentimentService } from '../airline-sentiment-display/airline-sentiment.service';
import { ChartConfig } from '../airline-sentiment-display/chart-config.model';
import { MatSnackBar } from '@angular/material/snack-bar';
import * as i0 from "@angular/core";
export declare class ModifyChartDialogComponent implements OnInit {
    private fb;
    private sentimentService;
    dialogRef: MatDialogRef<ModifyChartDialogComponent>;
    chartId: string;
    private snackBar;
    chartConfigForm: FormGroup;
    existingConfig: ChartConfig;
    showNotification: boolean;
    easingOptions: string[];
    constructor(fb: FormBuilder, sentimentService: AirlineSentimentService, dialogRef: MatDialogRef<ModifyChartDialogComponent>, chartId: string, snackBar: MatSnackBar);
    ngOnInit(): void;
    closeNotification(): void;
    initializeForm(): void;
    loadChartConfig(): void;
    onSaveChart(): void;
    onCancel(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<ModifyChartDialogComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<ModifyChartDialogComponent, "lib-modify-chart-dialog", never, {}, {}, never, never, false, never>;
}
