import { OnInit, OnChanges, SimpleChanges } from '@angular/core';
import * as Highcharts from 'highcharts';
import { AirlineSentimentService } from './airline-sentiment.service';
import { MatDialog } from '@angular/material/dialog';
import * as i0 from "@angular/core";
export declare class AirlineSentimentDisplayComponent implements OnInit, OnChanges {
    private sentimentService;
    private dialog;
    chartId: string;
    Highcharts: typeof Highcharts;
    chartOptions: Highcharts.Options;
    enableModifyChartButton: boolean;
    constructor(sentimentService: AirlineSentimentService, dialog: MatDialog);
    ngOnInit(): void;
    ngOnChanges(changes: SimpleChanges): void;
    loadChart(): void;
    openModifyChartDialog(): void;
    updateChartOptions(config: any): void;
    createChart(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<AirlineSentimentDisplayComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<AirlineSentimentDisplayComponent, "sentiment-component", never, { "chartId": { "alias": "chartId"; "required": false; }; }, {}, never, never, false, never>;
}
