import { HttpClient } from '@angular/common/http';
import { Observable } from 'rxjs';
import { ChartConfig } from './chart-config.model';
import * as i0 from "@angular/core";
export declare class AirlineSentimentService {
    private http;
    private apiUrl;
    private accessToken;
    constructor(http: HttpClient);
    setAccessToken(token: string): void;
    private getHeaders;
    private handleError;
    getAirlineSentiment(): Observable<any>;
    getDemo1Sentiment(): Observable<any>;
    getDemo2Sentiment(): Observable<any>;
    getNewsSentiment(): Observable<any>;
    getAppleSentiment(): Observable<any>;
    getFastrackSentiment(): Observable<any>;
    getSampleQuidditySentiment(): Observable<any>;
    getFinanceSentiment(): Observable<any>;
    getImdbSentiment(): Observable<any>;
    getIphoneSentiment(): Observable<any>;
    getParalympicsSentiment(): Observable<any>;
    saveChart(config: ChartConfig): Observable<any>;
    getChart(id: string): Observable<ChartConfig>;
    updateChart(id: string, config: ChartConfig): Observable<any>;
    static ɵfac: i0.ɵɵFactoryDeclaration<AirlineSentimentService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<AirlineSentimentService>;
}
